# gfarm_agent

## Name

gfarm_agent -- Gfarm Filesystem Metadata Cache Server

## Synopsis

gfarm_agent [`options`]

## DESCRIPTION

gfarm_agent is a cache server for a Gfarm metadata server that can be shared by multiple hosts and multiple users. The cache server greatly improves performance and response time for a Gfarm filesystem by reducing network communication to a distant metadata server.

Any number of gfarm_agents can be running on different nodes (or even on the same node) at the same time. Consistency among multiple cache servers and a metadata server is maintained.

## OPTIONS

`-L` `log-level`

  Specifies a log priority level. The log output, which priority is higher or equal to this level, will be sent to syslog or standard error. Please refer gfarm.conf(5) for the priority levels which can be specified by this option.

`-P` `pid-file`

  Specifies a file name which records the process ID of gfarm_agent.

`-S` `syslog-facility`

  Specifies a syslog facility used to report errors by gfarm_agent. By default, local0 is used.

`-d`

  Specifies the debug mode. gfarm_agent runs in the foreground, not in the background.

  If this option is specified and `-L` is not specified, the log level is set to "debug".

`-f` `config-file`

  Specifies a configuration file that is read instead of the default configuration file.

`-m`

  Specifies the master mode. This improves metadata access performance by caching the path information. This option is only available when there is a single gfarm_agent running.

`-p` `port-number`

  Specifies a port number for TCP, to be used by gfarm_agent.

`-v`

  Displays verbose error messages in authentication.

`-?`

  Displays a list of command options.

## FILES

`%%SYSCONFDIR%%/gfarm.conf`

  configuration file

## SEE ALSO

gfarm.conf(5)